# FoundationClasses
TKernel
TColStd

# TColStd_Array1OfTransient Class Reference

`#include <TColStd_Array1OfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_Array1OfTransient (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_Array1OfTransient (const Handle(Standard_Transient)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(Standard_Transient)&V)
Standard_EXPORT void | Destroy ()
| ~TColStd_Array1OfTransient ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TColStd_Array1OfTransient & | Assign (const TColStd_Array1OfTransient &Other)
const TColStd_Array1OfTransient & | operator= (const TColStd_Array1OfTransient &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Standard_Transient)&Value)
const Handle_Standard_Transient & | Value (const Standard_Integer Index) const
const Handle_Standard_Transient & | operator() (const Standard_Integer Index) const
Handle_Standard_Transient & | ChangeValue (const Standard_Integer Index)
Handle_Standard_Transient & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TColStd_Array1OfTransient (const TColStd_Array1OfTransient &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_Array1OfTransient::TColStd_Array1OfTransient | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_Array1OfTransient::TColStd_Array1OfTransient | ( | const Handle(Standard_Transient)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TColStd_Array1OfTransient::~TColStd_Array1OfTransient | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_Array1OfTransient::TColStd_Array1OfTransient | ( | const TColStd_Array1OfTransient & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_Array1OfTransient& TColStd_Array1OfTransient::Assign | ( | const TColStd_Array1OfTransient & | Other | ) |

Handle_Standard_Transient& TColStd_Array1OfTransient::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColStd_Array1OfTransient::Destroy | ( |  | ) |

Standard_EXPORT void TColStd_Array1OfTransient::Init | ( | const Handle(Standard_Transient)& | V | ) |

Standard_Boolean TColStd_Array1OfTransient::IsAllocated | ( |  | ) | const

Standard_Integer TColStd_Array1OfTransient::Length | ( |  | ) | const

Standard_Integer TColStd_Array1OfTransient::Lower | ( |  | ) | const

void TColStd_Array1OfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_Array1OfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_Array1OfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& TColStd_Array1OfTransient::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Standard_Transient& TColStd_Array1OfTransient::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColStd_Array1OfTransient& TColStd_Array1OfTransient::operator= | ( | const TColStd_Array1OfTransient & | Other | ) | `[inline]`

void TColStd_Array1OfTransient::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Standard_Transient)& | Value
| ) |

Standard_Integer TColStd_Array1OfTransient::Upper | ( |  | ) | const

const Handle_Standard_Transient& TColStd_Array1OfTransient::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TColStd_Array1OfTransient::isAllocated `[private]`

Standard_Integer TColStd_Array1OfTransient::myLowerBound `[private]`

Standard_Address TColStd_Array1OfTransient::myStart `[private]`

Standard_Integer TColStd_Array1OfTransient::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TColStd_Array1OfTransient.hxx